# courseDataGenerator.py
#
# Randomly chooses effort and value for CS courses at Carleton.

import random

fout = open("courseData.csv", 'w')

courseNames = ["CS 111", "CS 201", "CS 202", "CS 208",
               "CS 231", "CS 232", "CS 251", "CS 252",
               "CS 254", "CS 257", "CS 298", "CS 301",
               "CS 304", "CS 311", "CS 312", "CS 314",
               "CS 321", "CS 322", "CS 324", "CS 328",
               "CS 330", "CS 331", "CS 332", "CS 334",
               "CS 341", "CS 344", "CS 348", "CS 352",
               "CS 358", "CS 361", "CS 362", "CS 364",
               "CS 399", "CS 400"]

for name in courseNames:
    effort = random.randint(1,10)
    value = random.randint(1,10)

    if name == "CS 111":
        effort = 2
        value = 10

    lineEnd = "" if name == courseNames[-1] else "\n"

    print("{0},{1},{2}".format(name, effort, value),
          file=fout, end=lineEnd)

fout.close()
